FF4PSP Evil Dreamer.png

Evil Dreamer Lua error in package.lua at line 80: module 'Dev:Japanese' not found., also known as Illusionary Fire and Ghost, is a recurring enemy in the series.

Appearances[edit | edit source]

Final Fantasy IV[edit | edit source]

Lua error in package.lua at line 80: module 'Dev:Context-link' not found. Evil Dreamer is an enemy fought at Sylph Cave. They primarily fight by alternating between Fira to the party and Sleep on one target. They often travel in groups of themselves or with Elder Treants, and can be difficult to defeat at first. In the 3D remakes, they can also use Silence. They are capable of dropping the Cursed Ring.

Final Fantasy IV: The After Years[edit | edit source]

Evil Dreamer returns as an enemy fought at Kain's and Palom's Challenge Dungeons, and are moderately difficult foes to defeat when encountered. They fight identically to their previous incarnation.

Final Fantasy Dimensions II[edit | edit source]

Lua error in package.lua at line 95: loop or previous error loading module 'Dev:Arguments'.

Final Fantasy Record Keeper[edit | edit source]

Lua error in package.lua at line 95: loop or previous error loading module 'Dev:Arguments'.

Final Fantasy Brave Exvius[edit | edit source]

Lua error in package.lua at line 95: loop or previous error loading module 'Dev:Arguments'.

Gallery[edit | edit source]

Ghost-ffiv.gif
EvilDreamer-ffiv-gba.png
Evil dreamer ffiv ios.PNG
FFRK Evil Dreamer FFIV.png

Lua error in package.lua at line 80: module 'Dev:NavboxBuilder' not found.

Community content is available under CC-BY-SA unless otherwise noted.